<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstRefPosition Method (IEdmEnumeratorCustomReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference5 Interface : GetFirstRefPosition Method (IEdmEnumeratorCustomReference5)

Visual Basic
C#
C++/CLI
Starts an enumeration of custom file references.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstRefPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstRefPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstRefPosition();

#### Return Value

IEdmPos5; position of the first custom file reference

# Example

See the IEdmEnumeratorCustomReference5 examples.

# Remarks

After calling this method, pass the position of the first custom file reference to IEdmEnumeratorCustomReference5::GetNextRef to get the first custom file reference. Then call IEdmEnumeratorCustomReference5::GetNextRef repeatedly to get the rest of the custom file references.

C++ programmers not using smart-pointer wrapper functions must release the returned pointer to IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmEnumeratorCustomReference5 Interface
IEdmEnumeratorCustomReference5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2